Bug 249879 - x11-toolkits/pango: Update to 1.46.2
Summary: x11-toolkits/pango: Update to 1.46.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D29794
Keywords:
Depends on: 252618 252738 252748 252750 255155
Blocks: 255996
  Show dependency treegraph
 
Reported: 2020-09-25 11:40 UTC by Olivier Duchateau
Modified: 2021-05-27 00:02 UTC (History)
7 users (show)

See Also:
tcberner: maintainer-feedback+
tcberner: exp-run?


Attachments
Patch to update x11-toolkits/pango (22.05 KB, patch)
2020-09-25 11:40 UTC, Olivier Duchateau
no flags Details | Diff
v1 (22.07 KB, patch)
2020-09-26 13:57 UTC, Tobias C. Berner
no flags Details | Diff
Patch for pango - v1.48.0 (19.70 KB, patch)
2020-11-23 18:51 UTC, Daniel Engberg
no flags Details | Diff
Patch for pango - v1.48.0 v2 (20.95 KB, patch)
2021-01-16 18:33 UTC, Daniel Engberg
no flags Details | Diff
Patch for pango - v1.48.2 (19.66 KB, patch)
2021-02-13 23:42 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2020-09-25 11:40:55 UTC
Created attachment 218276 [details]
Patch to update x11-toolkits/pango

- Update to 1.46.2
- Adjust dependencies
- Remove X11 option
- Remove patches
Comment 1 Tobias C. Berner freebsd_committer 2020-09-26 11:34:14 UTC
Moin moin 

Thank you for the patch.


mfg Tobias
Comment 2 Tobias C. Berner freebsd_committer 2020-09-26 11:44:21 UTC
Moin moin 

What was the reasoning behind dropping the X11 option?


mfg Tobias
Comment 3 Tobias C. Berner freebsd_committer 2020-09-26 13:57:03 UTC
Created attachment 218327 [details]
v1

Moin moin 

Based on your patch here's an updated version which keeps the X11 option around.


mfg Tobias
Comment 4 Tobias C. Berner freebsd_committer 2020-09-26 13:57:49 UTC
desktop@ would like to ask for an exp-run of this patch (v1), which can also be found here:
https://people.freebsd.org/~tcberner/patches/pango-1.46.2.v1.diff


mfg Tobias
Comment 5 Olivier Duchateau 2020-09-26 17:40:01 UTC
(In reply to Tobias C. Berner from comment #2)

Because when I submitted an update of Gtk3 bug #249288, comment #3 I remove support of X11. Wayland support for the Xfce desktop is not planned for the next stable major release.
Comment 6 Tobias C. Berner freebsd_committer 2020-09-26 18:02:52 UTC
I think it's not really a question of X11 vs Wayland, more of X11 vs NOX11 here.
Comment 8 Greg V 2020-10-16 12:47:51 UTC
Now 1.47.0 is out (and is required by gtk4 3.99.2)… not much change between these, just bump the version.

> eiskaltdcpp-gtk-2.2.10_20.log
> fatal error: 'hb.h' file not found

hmmm it's getting cflags for pango transitively from something, and that something doesn't include -I/usr/local/include/harfbuzz

> Could NOT find PkgConfig (missing: PKG_CONFIG_EXECUTABLE)

oh well it's even getting that something from CMake's magic finders, maybe USES+=pkgconfig is a good idea?

> codelite-12.0_4.log
> pcsxr-1.9.95.20180604_3.log

same thing in these but pkgconf is used >_<

Maybe just CFLAGS+=-I${LOCALBASE}/include/harfbuzz these as a hot fix..

> gtkhtml3-3.32.1_5.log
> error: implicit declaration of function 'pango_find_base_dir' is invalid in C99

-DPANGO_DISABLE_DEPRECATED must be removed in this port.

> pangox-compat-0.0.2_2.log
> pangox.c:282:15: error: no member named 'find_shaper' in 'struct _PangoFontClass'

Arch Linux simply commented out that line:
https://aur.archlinux.org/cgit/aur.git/tree/0002-disable-shaper.patch?h=pangox-compat

> py27-gtk2-2.24.0_5.log

same here but the fix has been merged:
https://gitlab.gnome.org/Archive/pygtk/-/merge_requests/1

so it should be updated to the latest git master https://gitlab.gnome.org/Archive/pygtk/-/commits/master/
Comment 9 Olivier Duchateau 2020-10-16 15:19:23 UTC
(In reply to Greg V from comment #8)

1.47.0 is development version?

GNOME project uses this versioning sheme:

- odd number is devel release
- even number is stable release
Comment 10 Greg V 2020-10-16 17:36:22 UTC
Oh actually—

> py27-gtk2-2.24.0_5.log

just got killed (yay!) https://svnweb.freebsd.org/ports?view=revision&revision=552492

(In reply to Olivier Duchateau from comment #9)

I'm not sure if pango follows the same scheme, maybe.
Comment 11 Daniel Engberg 2020-11-23 18:51:21 UTC
Created attachment 219910 [details]
Patch for pango - v1.48.0

Update to newest release, based on tcberner's patch.
Comment 12 Daniel Engberg 2020-11-23 19:13:07 UTC
* codelite --> Probably similar story as eiskaltdcpp (outdated and newer versions fixes issues)

* eiskaltdcpp --> Bump to latest commit and hope for the best (?)
https://github.com/eiskaltdcpp/eiskaltdcpp/releases/tag/v2.2.10
There are also build fixes for deps such as Pango
https://github.com/eiskaltdcpp/eiskaltdcpp/commit/8b22479aef21fb2b764051f0499ae5fba397d31f

* pcsxr --> Drop? The interesting parts are ported to libretro / retroarch
https://github.com/iCatButler/pcsxr/pull/21
https://github.com/libretro/pcsx1-libretro

* gtkhtml3 --> Deprecate? Dead upstream
https://gitlab.gnome.org/Archive/gtkhtml

* pangox-compat --> Deprecate? Dead upstream
https://gitlab.gnome.org/Archive/pangox-compat
Arch Linux seems to have a working version
https://aur.archlinux.org/packages/pangox-compat/
Comment 13 Tobias C. Berner freebsd_committer 2020-11-23 19:14:51 UTC
(In reply to daniel.engberg.lists from comment #12)
* pangox-compat is uised by a handfull of ports, is it really needed?
Comment 14 Daniel Engberg 2020-12-12 07:31:06 UTC
At least anydesk requires it, I guess we "need" to fix pangox-compat for now....
Comment 15 Daniel Engberg 2021-01-16 12:48:13 UTC
martymac@

Can you have a look at pcsxr? Perhaps worth considering removing it as upstream is dead and we have retroarch (libretro) in ports?

https://www.freshports.org/games/libretro-beetle_psx/
https://www.freshports.org/games/libretro-pcsx_rearmed/

Best regards,
Daniel
Comment 16 Daniel Engberg 2021-01-16 12:57:46 UTC
fjoe@

Can you have a look at eiskaltdcc? There's a new release available which I guess should fix (all?) the build issues
https://github.com/eiskaltdcpp/eiskaltdcpp/releases/tag/v2.4.0

Best regards, 
Daniel
Comment 17 Daniel Engberg 2021-01-16 18:33:24 UTC
Created attachment 221639 [details]
Patch for pango - v1.48.0 v2

Add help2man build dep
Comment 18 Ganael LAPLANCHE freebsd_committer 2021-01-16 19:21:08 UTC
(In reply to daniel.engberg.lists from comment #15)

Hello Daniel,

Thanks for your work on this.

Pcsxr is dead upstream, but I like this emulator as it is a standalone one. Feel free to mark it as BROKEN with the update ; I'll then see if it can be fixed by including harfbuzz include dirs (I'm busy with tbb upgrade right now).

Best regards,

Ganael.
Comment 19 Daniel Engberg 2021-01-16 19:44:19 UTC
Hi Ganael,

Unless you have a strong attachment to pcsxr perhaps it would be worth deprecating it in favour of duckstation ( https://github.com/stenzek/duckstation ) which is actively maintained instead even if I personally would like to see most of our efforts being directed to retroarch especially since it carries all cores.

Best regards,
Daniel
Comment 20 Daniel Engberg 2021-02-13 23:42:38 UTC
Created attachment 222419 [details]
Patch for pango - v1.48.2

Update pango to 1.48.2
Comment 24 commit-hook freebsd_committer 2021-03-09 11:13:28 UTC
A commit references this bug:

Author: martymac
Date: Tue Mar  9 11:12:38 UTC 2021
New revision: 567922
URL: https://svnweb.freebsd.org/changeset/ports/567922

Log:
  Fix build with upcoming Pango update

  PR:		249879
  Reported by:	duchateau.olivier AT gmail.com

Changes:
  head/emulators/pcsxr/Makefile
Comment 25 Ganael LAPLANCHE freebsd_committer 2021-03-09 11:14:39 UTC
Hello,

(sorry for lagging)

As the fix was straightforward, I finally fixed pcsxr. Anyway, as suggested in this thread I'll probably have to deprecate it (some day) as it is dead upstream and will probably become harder and harder to maintain...

Best regards,

Ganael.
Comment 26 Daniel Engberg 2021-04-16 18:52:27 UTC
We're just waiting on eiskalt-* and codelite, mark these as broken to make this move forward? :-)
Comment 27 Daniel Engberg 2021-05-13 09:01:10 UTC
Friendly ping
Comment 28 Neel Chauhan freebsd_committer 2021-05-23 00:05:02 UTC
I have a Phabricator review to update pango to 1.48.4: https://reviews.freebsd.org/D29794

It depends on a new port gi-docgen: https://reviews.freebsd.org/D29802
Comment 29 Daniel Engberg 2021-05-26 20:13:22 UTC
Neel, you just pushed your branch you also need to clean up 252738 and 255155 in one way or another.
Comment 30 Neel Chauhan freebsd_committer 2021-05-27 00:02:30 UTC
I've committed the bugs you referenced, @Daniel Engberg. Sorry if I didn't do this earlier.